di_log_handler_struct Struct Reference

Log handler info. More...

## Data Fields

unsigned int | id
di_log_level_flags | log_level
di_log_handler * | log_func
void * | user_data

## Detailed Description

Log handler info.

## Field Documentation

## id

unsigned int id

unique id

Referenced by di_log_set_handler().

## log_func

di_log_handler* log_func

the handler

Referenced by di_log_set_handler().

## log_level

di_log_level_flags log_level

flags

Referenced by di_log_set_handler().

## user_data

void* user_data

supplied data

Referenced by di_log_set_handler().